Interactive Ink

Answered

iOS SDK 12.2 and Swift 4 Support

Hello,

As Apple have recently released the iOS 12.2 SDK, they are only allowing App Store submissions using Xcode 10.2. This Xcode version requires Swift 4+ support and given that the iOS iink SDK is written in Swift 3.2, it is unable to be built using Xcode 10.2.

Based on this, when can we expect the iink SDK to be updated with Swift 4+ support?

Thanks in advance,

James.


Best Answer

Dear James,


a new release is now available on CocoaPods, that support swift 4 and Xcode 10.2.


We then recommend you update to the latter.


Best regards,


Olivier


Dear James,


thank you for contacting us and submitting this remark.


We noticed it ; we plan to update the swift samples, so that they are compliant with Xcode 10.2.


At present, we cannot commit yet when it will be done.


I keep you updated.


Best regards,


Olivier

Hi Olivier,

Thanks for your reply.

Can you confirm that this will include the SDK itself in addition to the Swift sample code?

It is the SDK itself that is causing my project to not build with Xcode 10.2.

Thanks,

James.

Dear James,


this is currently planned in the 1.4 release of the iink SDK.


At present, we cannot commit yet when it will be released. We keep you updated.


Best regards,


Olivier

Answer

Dear James,


a new release is now available on CocoaPods, that support swift 4 and Xcode 10.2.


We then recommend you update to the latter.


Best regards,


Olivier